<template>
    <view>
        <web-view :src="url" />
    </view>
</template>

<script>
import Util from '@/utils/utils';
export default {
    data() {
        return {
            urlData:"",
            url:"https://chis.e24health.com/book/#/order/index"
        }
    },
    onLoad: function (options) {
        const self = this
        this.setData({
            urlData: this.$cache.get('userData')
        }, () => {
            const { urlData } = self
            if (!options.page) {
                self.url = `${this.url}?patID=${urlData.hisPatID}&hisHospID=${urlData.hisHospID}&openID=${urlData.openID}&telphone=${urlData.mobile}&patDesc=${urlData.patDesc}&hospID=${urlData.hospID}`
            } else {
                this.url = `${this.url}?patID=${urlData.hisPatID}&hisHospID=${urlData.hisHospID}&openID=${urlData.openID}&telphone=${urlData.mobile}&patDesc=${urlData.patDesc}&hospID=${urlData.hospID}`
            }
        })
    },
    methods: {
    }
}
</script>

<style></style>